# Enum Class SpringAIErrorMapper.ErrorCategory

java.lang.Object
java.lang.Enum<SpringAIErrorMapper.ErrorCategory>
com.google.adk.models.springai.error.SpringAIErrorMapper.ErrorCategory

All Implemented Interfaces:
  `Serializable, Comparable<SpringAIErrorMapper.ErrorCategory>, Constable`

Enclosing class:
  `SpringAIErrorMapper`

public static enum SpringAIErrorMapper.ErrorCategory extends Enum<SpringAIErrorMapper.ErrorCategory>
Error categories for different types of failures.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTH_ERROR`
  Authentication or authorization errors
  `CLIENT_ERROR`
  Invalid request parameters or format
  `MODEL_ERROR`
  Model-specific errors (model not found, unsupported features)
  `NETWORK_ERROR`
  Network connectivity issues
  `RATE_LIMITED`
  Rate limiting or quota exceeded
  `SERVER_ERROR`
  Server-side errors from the AI provider
  `TIMEOUT_ERROR`
  Timeout errors
  `UNKNOWN_ERROR`
  Unknown or unclassified errors

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpringAIErrorMapper.ErrorCategory`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpringAIErrorMapper.ErrorCategory[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTH_ERROR

    public static final SpringAIErrorMapper.ErrorCategory AUTH_ERROR
    Authentication or authorization errors

  - ### RATE_LIMITED

    public static final SpringAIErrorMapper.ErrorCategory RATE_LIMITED
    Rate limiting or quota exceeded

  - ### NETWORK_ERROR

    public static final SpringAIErrorMapper.ErrorCategory NETWORK_ERROR
    Network connectivity issues

  - ### CLIENT_ERROR

    public static final SpringAIErrorMapper.ErrorCategory CLIENT_ERROR
    Invalid request parameters or format

  - ### SERVER_ERROR

    public static final SpringAIErrorMapper.ErrorCategory SERVER_ERROR
    Server-side errors from the AI provider

  - ### TIMEOUT_ERROR

    public static final SpringAIErrorMapper.ErrorCategory TIMEOUT_ERROR
    Timeout errors

  - ### MODEL_ERROR

    public static final SpringAIErrorMapper.ErrorCategory MODEL_ERROR
    Model-specific errors (model not found, unsupported features)

  - ### UNKNOWN_ERROR

    public static final SpringAIErrorMapper.ErrorCategory UNKNOWN_ERROR
    Unknown or unclassified errors

- ## Method Details

  - ### values

    public static SpringAIErrorMapper.ErrorCategory[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpringAIErrorMapper.ErrorCategory valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null